RHEL 9: libXpm (RHSA-2023: 0383)

high Nessus プラグイン ID 170470

概要

リモートの Red Hat ホストに 1 つ以上のセキュリティ更新プログラムがありません。

説明

リモートの Redhat Enterprise Linux 9 ホストにインストールされているパッケージは、RHSA-2023: 0383アドバイザリに記載されている複数の脆弱性の影響を受けます。

- libXpm: 幅が 0 で巨大な高さの暴走ループ (CVE-2022-44617)

- libXpm: 閉じられていないコメントの無限ループ (CVE-2022-46285)

- libXpm: 圧縮コマンドが $PATH に依存 (CVE-2022-4883)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受ける libXpm や libXpm-devel パッケージを更新してください。

関連情報

https://access.redhat.com/security/cve/CVE-2022-4883

https://access.redhat.com/security/cve/CVE-2022-44617

https://access.redhat.com/security/cve/CVE-2022-46285

https://access.redhat.com/errata/RHSA-2023:0383

https://bugzilla.redhat.com/2160092

https://bugzilla.redhat.com/2160193

https://bugzilla.redhat.com/2160213

プラグインの詳細

深刻度: High

ID: 170470

ファイル名: redhat-RHSA-2023-0383.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2023/1/24

更新日: 2023/2/17

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 9

Temporal Score: 7

ベクトル: AV:N/AC:L/Au:S/C:C/I:C/A:C

現状ベクトル: E:POC/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-4883

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.9

ベクトル: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:P/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:redhat:enterprise_linux:9, p-cpe:/a:redhat:enterprise_linux:libXpm, p-cpe:/a:redhat:enterprise_linux:libXpm-devel

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2023/1/23

脆弱性公開日: 2023/1/17

参照情報

CVE: CVE-2022-4883, CVE-2022-44617, CVE-2022-46285

RHSA: 2023:0383

CWE: 20, 426, 835